
Katello - Feature #5828

activation keys api - not filtering by lifecycle environment or content view any longer

05/20/2014 03:29 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099557 Red Hat JIRA:  

Pull request:    

Description

Coding error in activation_keys_controller#index where the elasticsearch filters are incorrectly reset.

Associated revisions

Revision d90afaf2 - 05/20/2014 05:23 PM - Thomas McKay

fixes #5828 - correct regression in act key index api method

Revision d787e4db - 05/20/2014 06:08 PM - Thomas McKay

Merge pull request #4121 from thomasmckay/5828-actkey-api

fixes #5828 - correct regression in act key index api method

History

#1 - 05/20/2014 03:29 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1099557

#2 - 05/20/2014 04:41 PM - Thomas McKay

- Assignee set to Thomas McKay

#3 - 05/20/2014 06:52 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d90afaf21cb513a2f7a7bcbcec721eea6a8eb567.

#4 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
